> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Chart Entity



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/entity/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/entity/{id}:
    get:
      tags:
        - Settings
      summary: Retrieve Chart Entity
      operationId: coa_api_entity_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartEntity'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    ChartEntity:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        parent:
          type: integer
          nullable: true
        parent_name:
          type: string
          readOnly: true
        elimination_entity:
          type: integer
          nullable: true
        primary_entity:
          type: integer
          nullable: true
          description: >-
            When set, this entity is an adjusting entity linked to the specified
            primary entity.
        primary_entity_name:
          type: string
          readOnly: true
        is_adjusting:
          type: boolean
          readOnly: true
        is_elimination_entity:
          type: boolean
          default: false
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 250
        description:
          type: string
          nullable: true
        currency:
          type: string
          maxLength: 3
        address_1:
          type: string
          nullable: true
          title: Address Line 1
          maxLength: 120
        address_2:
          type: string
          nullable: true
          title: Address Line 2
          maxLength: 120
        city:
          type: string
          nullable: true
          maxLength: 120
        state:
          type: string
          nullable: true
          maxLength: 120
        zip_code:
          type: string
          nullable: true
          maxLength: 120
        country:
          type: string
          nullable: true
          maxLength: 120
        disable_service_date:
          type: boolean
          description: >-
            When enabled, the Service Date field will be hidden on invoices for
            this entity
        logo_url:
          type: string
          format: uri
          nullable: true
          maxLength: 500
        active:
          type: boolean
        fiscal_year_month:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        fiscal_year_day:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        created_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        enable_mid_month_convention:
          type: boolean
          nullable: true
          title: Enable Mid-Month Convention (Override)
          description: >-
            Override customer-level mid-month convention setting for this
            entity. Leave blank to inherit from customer.
        mid_month_threshold:
          type: integer
          maximum: 31
          minimum: 0
          nullable: true
          title: Mid-Month Threshold (Override)
          description: >-
            Override customer-level threshold. Leave blank to inherit from
            customer.
        use_whole_month_accounting_for_prepaids:
          type: boolean
          nullable: true
          title: Use Whole-Month Accounting for Prepaids (Override)
          description: >-
            Override customer-level whole-month accounting setting for this
            entity. Leave blank to inherit from customer.
        allow_payments_in_closed_periods:
          type: boolean
          description: >-
            When enabled, allows applying existing transactions as payments to
            invoices/bills even when the transaction date falls in a closed
            subledger period.
        lineage_array:
          type: array
          items:
            type: string
            maxLength: 50
          nullable: true
          description: Pre-computed lineage array from root to this entity
        tax_identification_number:
          type: string
          nullable: true
          description: Tax ID such as Korean BRN, GST number, or EU VAT number
          maxLength: 250
        representative_name:
          type: string
          nullable: true
          description: Legal representative name
          maxLength: 250
        business_type:
          type: string
          nullable: true
          description: Business type classification
          maxLength: 250
        business_category:
          type: string
          nullable: true
          description: Business category classification
          maxLength: 250
        invoice_name:
          type: string
          readOnly: true
          nullable: true
        invoice_email:
          type: string
          readOnly: true
          nullable: true
        invoice_message:
          type: string
          readOnly: true
          nullable: true
        invoice_email_subject:
          type: string
          readOnly: true
          nullable: true
        invoice_email_body:
          type: string
          readOnly: true
          nullable: true
        invoice_prefix:
          type: string
          readOnly: true
          nullable: true
        invoice_address:
          type: string
          readOnly: true
          nullable: true
        invoice_cc_emails:
          type: string
          readOnly: true
          nullable: true
        invoice_display_settings:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        invoice_email_attachments:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
      required:
        - created_at
        - customer
        - deleted_at
        - id
        - invoice_address
        - invoice_cc_emails
        - invoice_display_settings
        - invoice_email
        - invoice_email_attachments
        - invoice_email_body
        - invoice_email_subject
        - invoice_message
        - invoice_name
        - invoice_prefix
        - is_adjusting
        - is_deleted
        - last_modified_at
        - parent_name
        - primary_entity_name
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````